Name: gitui
Version: 0.26.2
Release: 1%{?dist}
Summary: Blazing fast terminal-ui for git written in rust

License: MIT
URL: https://github.com/extrawurst/gitui
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: git-core
BuildRequires: openssl-perl
BuildRequires: perl-FindBin
BuildRequires: perl-lib
BuildRequires: python3
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IPC::Cmd)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(xcb)
%if 0%{?el8}
%else
BuildRequires: rust >= 1.65
BuildRequires: cargo >= 1.65
%endif

%description
%{summary}.


%prep
%autosetup
%if 0%{?el8}
curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif


%install
export OPENSSL_NO_VENDOR
%ifarch aarch64
export CARGO_TARGET_AARCH64_UNKNOWN_LINUX_GNU_LINKER=gcc
%endif
%if 0%{?el8}
source "$HOME/.cargo/env"
%endif
cargo install --root=%{buildroot}%{_prefix} --path=.
rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*


%files
%license LICENSE.md
%doc README.md CHANGELOG.md THEMES.md
%{_bindir}/%{name}


%changelog
* Sat May 18 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.26.2-1
- chore: Update to latest release

* Mon Apr 15 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.26.1-1
- chore: Update to latest release

* Sun Apr 14 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.26.0-1
- chore: Update to latest release

* Wed Feb 21 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.25.0-1
- chore: Update to latest release

* Sat Sep 09 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.24.3-1
- chore(update): 0.24.3

* Sun Sep 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.24.2-2
- build: Fix building on aarch64

* Sun Sep 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.24.2-1
- chore(update): 0.24.2

* Wed Aug 30 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.24.1-1
- chore(update): 0.24.1

* Sun Aug 27 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.24.0-1
- chore(update): 0.24.0

* Mon Jun 19 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.23.0-1
- chore(update): 0.23.0

* Tue Nov 22 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.22.1-1
- chore(update): 0.22.1

* Sat Nov 19 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.22.0-1
- chore(update): 0.22.0

* Thu Aug 18 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.21.0-1
- chore(update): 0.21.0

* Wed Jan 26 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.20.1-1
- chore(update): 0.20.1

* Wed Jan 26 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.20.0-1
- chore(update): 0.20.0

* Thu Dec 09 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.19.0-1
- chore(update): 0.19.0

* Mon Oct 11 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.18.0-1
- chore(update): 0.18.0

* Sat Jul 10 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16.2-1
- build(update): 0.16.2

* Sun Jun 06 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16.1-1
- build(update): 0.16.1

* Sat May 29 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16.0-1
- build(update): 0.16.0

* Tue Apr 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.15.0-1
- build(update): 0.15.0

* Sun Apr 11 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.14.0-1
- build(update): 0.14.0

* Mon Mar 15 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.0-1
- build(update): 0.13.0

* Fri Mar 05 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.0-1
- build(update): 0.12.0

* Mon Dec 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.0-1
- build(update): 0.11.0

* Mon Aug 31 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.1-1
- Update to 0.10.1

* Sat Aug 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.0-1
- Update to 0.10.0

* Thu Jul 30 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.1-1
- Update to 0.9.1

* Wed Jul 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.0-1
- Update to 0.9.0

* Tue Jul 07 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.1-1
- Update to 0.8.1

* Mon Jul 06 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.0-1
- Update to 0.8.0

* Mon Jun 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.0-1
- Update to 0.7.0

* Tue Jun 09 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.0-1
- Update to 0.6.0

* Mon Jun 01 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-1
- Update to 0.5.0

* Fri May 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.0-1
- Initial package
